import 'package:domain/entity/response/device_list_entity.dart';
import 'package:domain/entity/response/id_name_entity.dart';
import 'package:flutter/material.dart';
import 'package:plugin_basic/basic_export.dart';

class DeviceListState {
  List<DeviceListRows> datas = [];

  String? keyword; //列表数据
  TextEditingController searchController = TextEditingController();
  FocusNode focusNode = FocusNode();

  String? selectedOnlineStatusId; //当前选择的在线状态,1.online;2.offline
  String? selectedOnlineStatusName; //当前选择的在线状态,1.online;2.offline
  List<IdNameEntity> onlineStatusList = [
    IdNameEntity()..name = 'Online'.tr..id = '1',
    IdNameEntity()..name = 'Offline'.tr..id = '2',
  ];
}
